Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042044
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialhave not tried2019-10-16 17:592019-12-12 23:01
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritylowResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revisione14fc97efb56
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042044: Duplicated code in ScheduleProcess and RescheduleProcess

DescriptionScheduleProcess and RescheduleProcess contain almost the same code. It would be nice to remove this duplication.
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0042041 closedcaristu The error message when rescheduling a process fails is not translatable 
related to design defect 0028406 closedaferraz RescheduleProcess class should be able to get requestId from request parameters 
related to defect 0042049 newplatform RescheduleProcess should be removed 

-  Notes
(0115134)
hgbot (developer)
2019-10-17 09:25

Repository: erp/devel/pi
Changeset: e14fc97efb5631de3e489fe7591695e771a6600d
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Oct 16 18:46:22 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e14fc97efb5631de3e489fe7591695e771a6600d [^]

fixes issue 42044: Duplicated code in ScheduleProcess and RescheduleProcess

  - RescheduleProcess now extends ScheduleProcess as their
implementation was almost the same.

  - Added additional minor code improvement in ScheduleProcess.

---
M src/org/openbravo/erpCommon/ad_process/RescheduleProcess.java
M src/org/openbravo/erpCommon/ad_process/ScheduleProcess.java
---
(0115153)
alostale (developer)
2019-10-18 07:36

reviewed
(0116254)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-10-16 17:59 caristu New Issue
2019-10-16 17:59 caristu Assigned To => caristu
2019-10-16 17:59 caristu Modules => Core
2019-10-16 17:59 caristu Triggers an Emergency Pack => No
2019-10-16 17:59 caristu Issue generated from 0042041
2019-10-16 17:59 caristu Relationship added related to 0042041
2019-10-16 17:59 caristu Relationship added related to 0028406
2019-10-17 09:07 caristu Issue cloned 0042049
2019-10-17 09:07 caristu Relationship added related to 0042049
2019-10-17 09:25 hgbot Checkin
2019-10-17 09:25 hgbot Note Added: 0115134
2019-10-17 09:25 hgbot Status new => resolved
2019-10-17 09:25 hgbot Resolution open => fixed
2019-10-17 09:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e14fc97efb5631de3e489fe7591695e771a6600d [^]
2019-10-17 09:26 caristu Review Assigned To => alostale
2019-10-18 07:36 alostale Note Added: 0115153
2019-10-18 07:36 alostale Status resolved => closed
2019-10-18 07:36 alostale Fixed in Version => 3.0PR20Q1
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116254


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker